import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-25 10:35
 */
export interface PcB2BPayeeAccount {
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * 渠道代码
    * @type { string }
    */
    channelCode?: string;
    /**
    * 账户配置JSON
    * @type { string }
    */
    configJson?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
}
export declare class PcB2BPayeeAccountMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get CHANNEL_CODE(): FieldInfo;
    static get CONFIG_JSON(): FieldInfo;
    static get REMARK(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-25 10:35
 */
export interface PcB2BOrdert {
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    * 收款账户id
    * @type { string }
    */
    payeeActId?: string;
    /**
    * 订单号
    * @type { string }
    */
    orderNo?: string;
    /**
    * 渠道订单号1
    * @type { string }
    */
    chOrderNo1?: string;
    /**
    * 渠道订单号2
    * @type { string }
    */
    chOrderNo2?: string;
    /**
    * 渠道订单号2
    * @type { string }
    */
    chOrderNo3?: string;
    /**
    * 付款方账号
    * @type { string }
    */
    payAccNo?: string;
    /**
    * 付款方银行代码
    * @type { string }
    */
    payBankCode?: string;
    /**
    * 付款方名称
    * @type { string }
    */
    payAccName?: string;
    /**
    * 付款方只行名称
    * @type { string }
    */
    payBankBrn?: string;
    /**
    * 金额
    * @type { string }
    */
    amount?: string;
    /**
    * 收款方账号
    * @type { string }
    */
    rcvAccNo?: string;
    /**
    * 收款方名称
    * @type { string }
    */
    rcvAccName?: string;
    /**
    * 收款方开户行名称
    * @type { string }
    */
    rcvBank?: string;
    /**
    * 客户摘要
    * @type { string }
    */
    clientText?: string;
    /**
    * 平台方备注
    * @type { string }
    */
    pltRemarks?: string;
    /**
    * 付款方备注
    * @type { string }
    */
    payRemarks?: string;
    /**
    * 订单备注
    * @type { string }
    */
    orderRemarks?: string;
    /**
    * 交易状态:0 支付成功，1：待支付，2，支付失败
    * @type { number }
    */
    status?: number;
    /**
    * 渠道状态码
    * @type { string }
    */
    chStatus?: string;
    /**
    * 渠道状态码2
    * @type { string }
    */
    chStatus2?: string;
    /**
    * 结果描述
    * @type { string }
    */
    resultMsg?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 其他扩展信息
    * @type { string }
    */
    extJson?: string;
}
export declare class PcB2BOrdertMI {
    static get ID(): FieldInfo;
    static get PAYEE_ACT_ID(): FieldInfo;
    static get ORDER_NO(): FieldInfo;
    static get CH_ORDER_NO1(): FieldInfo;
    static get CH_ORDER_NO2(): FieldInfo;
    static get CH_ORDER_NO3(): FieldInfo;
    static get PAY_ACC_NO(): FieldInfo;
    static get PAY_BANK_CODE(): FieldInfo;
    static get PAY_ACC_NAME(): FieldInfo;
    static get PAY_BANK_BRN(): FieldInfo;
    static get AMOUNT(): FieldInfo;
    static get RCV_ACC_NO(): FieldInfo;
    static get RCV_ACC_NAME(): FieldInfo;
    static get RCV_BANK(): FieldInfo;
    static get CLIENT_TEXT(): FieldInfo;
    static get PLT_REMARKS(): FieldInfo;
    static get PAY_REMARKS(): FieldInfo;
    static get ORDER_REMARKS(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get CH_STATUS(): FieldInfo;
    static get CH_STATUS2(): FieldInfo;
    static get RESULT_MSG(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get EXT_JSON(): FieldInfo;
}
